<div class="container">
  <div class="row component-title">
    <span>Upload your own sketch:</span>
  </div>
  <div class="template-card-holder">
    <app-template-card
      [template]="template"
      (templateSelected)="onTemplateSelected($event)"
    >
    </app-template-card>
  </div>
  <button class="btn btn-primary" (click)="addFileClick()" [disabled]="busyEncoding">
    <strong>
      Add file
    </strong>
  </button>
  <input
    type="file"
    style="visibility: hidden"
    id="fileInput"
    (change)="onFileInputChange($event)"
  >
</div>